# Update a client webhook

Updates one or more fields of a webhook owned by the client. All fields in the request body are optional, but at least one must be provided.

Endpoint: PATCH /v1/clients/{clientId}/webhooks/{id}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `clientId` (string, required)
    Client UUID that owns the webhook.

  - `id` (string, required)
    Webhook UUID.

## Request fields (application/json):

  - `url` (string)
    Example: "https://example.com/new-webhook"

  - `token` (string)
    Example: "newTokenValue"

  - `webhook_status` (string)
    Enum: "ACTIVE", "INACTIVE"

  - `auth_client_id` (string)
    Example: "oauth-client-id"

  - `auth_client_secret` (string)
    Example: "oauth-client-secret"

  - `auth_url` (string)
    Example: "https://auth.example.com/oauth2/token"

  - `auth_scope` (string)
    Example: "scope1 scope2"

  - `auth_audience` (string)
    Example: "https://api.example.com"

## Response 200 fields (application/json):

  - `id` (string)
    Example: "29806117-2b15-4682-87f0-350e6695fe91"

  - `clientId` (string)
    Example: "c2d1d1e3-3340-4170-980e-e9269bbbc551"

  - `url` (string)
    Example: "https://example.com/webhook"

  - `token` (string)
    Example: "secretToken0123"

  - `webhookType` (string)
    Example: "MONEY_IN"

  - `webhookStatus` (string)
    Example: "ACTIVE"

  - `createdAt` (string)
    Example: "2025-04-03 13:40:54.056794-06:00"

  - `updatedAt` (string)
    Example: "2025-04-03 13:40:54.056794-06:00"

  - `deletedAt` (null,string)
    Example: "None"

  - `blockedAt` (null,string)
    Example: "None"

  - `deletedBy` (null,string)
    Example: "None"

  - `blockedBy` (null,string)
    Example: "None"


## Response 400 fields

## Response 404 fields
